<?php
/**
	Header Template
	@package f13 folio
	@since f13 folio 3.1
	
	F13 Studio ~ http://f13.tv 
	Martin Knoll ~ me@f13.tv
	Twitter @martyish

*/ 
//setcookie("start", microtime(TRUE));
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php wp_title( '|', true, 'right' ); ?></title>

<meta charset="<?php bloginfo( 'charset' ); ?>" /> 
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=1" /> 
<meta name="apple-mobile-web-app-capable" content="yes" /> 
<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" /> 
<meta name="google-site-verification" content="7-eVd4rTSNZ0qEPfP4MTcrozE18HfR9GXv5y72is5hk" /> 

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" /> 
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url') ?>/css/foundation.css" /> 
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url') ?>/css/font-awesome.min.css" /> 

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" /> 
<link rel="Shortcut Icon" href="<?php bloginfo('template_url') ?>/img/favicon.ico" type="image/x-icon" /> 
<?php wp_enqueue_script("jquery"); /* Loads jQuery if it hasn't been loaded already */ ?> 

<!--<noscript><link rel="stylesheet" type="text/css" href="css/styleNoJS.css" /></noscript>-->
<!--[if lt IE 9]>
<script>document.createElement("header"); document.createElement("footer"); document.createElement("section"); document.createElement("aside"); document.createElement("nav"); document.createElement("article"); document.createElement("hgroup"); document.createElement("time");</script>

<!-- Infinate Scroll
<script type="text/javascript">
            var count = 2;
            $(window).scroll(function(){
                    if  ($(window).scrollTop() == $(document).height() - $(window).height()){
                       loadArticle(count);
                       count++;
                    }
            }); 
 
            function loadArticle(pageNumber){    
                    $.ajax({
                        url: "<?php bloginfo('wpurl') ?>/wp-admin/admin-ajax.php",
                        type:'POST',
                        data: "action=infinite_scroll&page_no="+ pageNumber + '&loop_file=loop', 
                        success: function(html){
                            $("#content").append(html);   // This will be the div where our content will be loaded
                        }
                    });
                return false;
            }
</script>-->
<noscript>
<strong>Public Service Announcement!</strong>
Because your browser does not support HTML5 (cough.. Internet explorer most probably)... and does not have scripting turned on so that we can at least make some effort in displaying a page written using HTML5 (which is not an entirely new arrival) you are instead seeing this message: If you are finding webpages not looking their best, there is a good chance they would in proper browsers.. I could have written a fall back, but to be honest, even this message is enough extra work in a hopeful attempt to persuade you onto new and exciting browsers that support 'modern' and current coding standards (which us people that love code would like to use with out a website looking like its displayed in IE) In turn finally ending the era of the browser which has been around from the start of time.. or shortly after the first graphical browser to be able to display inline images being launched in September 1993 and then becoming Netscape a year later to be joined by Internet Explorer version 1.0 on August 16 1995 purchased from Spyglass by Microsoft to first start the browser wars. Netscape is technically still an option.. It just decided that the open source route would be a good idea after no longer being able to commercially fund their project in turn becoming Mozilla which then went on to becoming.... Firefox! (2002) And just recently... (Since about 1996!) a few other browsers have joined the game such as Google Chrome, Opera and Safari which all support the WebKit HTML rendering engine (which does some pretty things - but that we can get into another time) So now that you know some history, let it be history and lets all move on to a future of web designers with hair and longer life spans. Thank you.. Regards - everyone else.
</noscript>
<![endif]-->
<style type="text/css"> 
img#wpstats{ display:none; } 
.site-title a { background: url(<?php bloginfo('template_url') ?>/img/qr_logo.gif) no-repeat !important; } 
</style><?php 
add_action('wp_head', 'page_meta');
wp_head();
?></head>
<body <?php body_class(); ?> itemscope="itemscope" itemtype="http://schema.org/WebPage">

<!-- push down when wide 100% -->
<div class="site-container">

<!-- nav header -->
<div class="head-container">
 <header class="site-header" role="banner" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
  <div class="wrap">
   <div class="title-area">
    <h1 class="site-title" itemprop="headline"><a href="/">f13.tv</a></h1>
    <p class="site-description" itemprop="description"><?php bloginfo('description'); ?></p>
   </div>
   <nav class="nav-primary" role="navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
    <div class="wrap">
     <ul id="menu-nav-2015" class="menu menu-primary nav-menu">
      <?php
       if(current_user_can('manage_options')) {
        $current_user = wp_get_current_user();
        global $template;
        echo '<li class="menu-item"><a href="'.get_admin_url().'" title="'.$template.'">Hi '.ucfirst($current_user->display_name).'</a></li>';
       }
       if (has_nav_menu('top')) {
        wp_nav_menu(array(
         'theme_location' 	=> 'top',
         'container' 	=> false,
         'items_wrap' 	=> '%3$s',
       ));
       } ?>
      <li class="search">
       <a id="main-nav-search-link" class="icon-search"></a>
       <div class="search-div">
        <form method="get" class="search-form" action="/" role="search">
         <input type="search" name="s" placeholder="Have a dig around this website&#x2026;" />
         <input type="submit" value="Go" />
        </form>
       </div>
      </li>
     </ul>
    </div>
   </nav>
  </div>
 </header>
</div>