jQuery(
	function($){	
		if( $(document).scrollTop()>0 ){
			$('.site-header').addClass('dark');
		}
		$(document).on('scroll',function(){
			if( $(document).scrollTop()>0 ){
				$('.site-header').addClass('dark');
			}else{
				$('.site-header').removeClass('dark');
			}
 		});
 		$('.nav-primary .nav-menu, .nav-secondary .nav-menu').addClass('responsive-menu').before('<div class="responsive-menu-icon"></div>');
		$('.responsive-menu-icon').click(function(){
			$(this).next('.nav-primary .nav-menu,  .nav-secondary .nav-menu').slideToggle();
		});
 		$(window).resize(function(){
 			if(window.innerWidth>800){
				$('.nav-primary .nav-menu,  .nav-secondary .nav-menu, nav .sub-menu').removeAttr('style');
				$('.responsive-menu > .menu-item').removeClass('menu-open');
			}
		});
		$('.responsive-menu > .menu-item').click(function(event){
			if(event.target!==this)return;
			$(this).find('.sub-menu:first').slideToggle(function(){
				$(this).parent().toggleClass('menu-open');
			});
		});
		$('#main-nav-search-link').click(function(){
			$('.search-div').show('slow');
		});
		$("*",document.body).click(function(event){
			if($('.search-div').is(':visible')){
				event.stopPropagation();
				var el=$(event.target);
				var gsfrm=$(el).closest('form');
				if(el.attr('id')!='main-nav-search-link'&&el.attr('role')!='search'&&gsfrm.attr('role')!='search'){
					$('.search-div').hide('slow');
				}
			}
		});
	}
);


$(function() {


	/* Scroll To */
	$('.scrollto a').on('click', function() {  
		$('html, body').animate({scrollTop: $(this.hash).offset().top - 25 }, 1000);
		return false;
	});


	/* Maximage Slider */
	$('#maximage').maximage({
		cycleOptions: {
			fx: 'fade',
			speed: 4000, // Has to match the speed for CSS transitions in jQuery.maximage.css (lines 30 - 33)
			timeout: 8000,
			prev: '#arrow_left',
			next: '#arrow_right',
/*			pause: 0, 
*/			continuous: 1, 
			pager: '#cycle-nav ul',
			fx: 'fade',
			metaAttr: 'cycle',// data- attribute that holds the option data for the slideshow
			pagerAnchorBuilder: function(idx, slide) {
				var imgsrc = jQuery.Slides[idx].url;
				return '<li><a href="#" rel="nofollow"><img src=' + imgsrc + ' width="50" /></a></li>';
			},
			before: function(last,current){
				if(!$.browser.msie){
					// Start HTML5 video when you arrive
					if($(current).find('video').length > 0) $(current).find('video')[0].play();
				}
			},
			after: function(last,current){
				if(!$.browser.msie){
					// Pauses HTML5 video when you leave it
					if($(last).find('video').length > 0) $(last).find('video')[0].pause();
				}
			}
		},
		onFirstImageLoaded: function(){
			jQuery('#cycle-loader').hide();
			jQuery('#maximage').fadeIn('fast');
		}
	});
	// pause on scroll
	$(window).on('scroll', function() {
		scrollPosition = $(this).scrollTop();
		if (scrollPosition >= 100) {
			// If the function is only supposed to fire once
			//$(this).off('scroll');
			$('#maximage').cycle('pause');
		} else {
			$('#maximage').cycle('resume');
		}
	});
	$('.toggle').bind('click', function(e){
		e.preventDefault();
		$('#maximage').cycle('toggle');
	});
	// Helper function to Fill and Center the HTML5 Video
	jQuery('video,object').maximage('maxcover');	
	// To show it is dynamic html text
	jQuery('.in-slide-content').delay(1200).fadeIn();	


	/* Contact Send */
	var form = $('#ajax-contact');
	var formButton = $('#form-button');
	var formMessages = $('#form-messages');

	$(form).submit(function(event) {
		event.preventDefault();
		var formData = $(form).serialize();
		
		$.ajax({
		
			type: 'POST',
			url: $(form).attr('action'),
			data: formData
			
		}).done(function(response) {
		
			if (response == 'ok') {
		
				$(formButton).removeClass('error');
				$(formButton).addClass('success');
		
				//$(formButton).text(response);
				$(formButton).text('Message Sent!');
				$(formMessages).text('We will be in contact with you as soon as we can');
		
				// Clear the form.
				$('#name').val('');
				$('#email').val('');
				$('#message').val('');
			
			} else {
			
				$(formButton).removeClass('success');
				$(formButton).addClass('error');
			
				$(formMessages).text('Oops! Something went wrong. Please try again a little later, or contact me using the services in the footer below. Error:'+response);
				
			}
			
		}).fail(function(data) {
			
			$(formButton).removeClass('success');
			$(formButton).addClass('error');
			
			// Set the message text.
			if (data.responseText !== '') {
				$(formMessages).text('Oops! Something went wrong. Please try again a little later, or contact me using the services in the footer below. Error:'+data.responseText);
			} else {
				$(formMessages).text('Oops! Something went wrong. Please try again a little later, or contact me using the services in the footer below.');
			}
			    
		});
		
	});
	
	
});


/* Google Analytics */
!function(e,a,r,c,t,n,i){e.GoogleAnalyticsObject=t,e[t]=e[t]||function(){(e[t].q=e[t].q||[]).push(arguments)},e[t].l=1*new Date,n=a.createElement(r),i=a.getElementsByTagName(r)[0],n.async=1,n.src=c,i.parentNode.insertBefore(n,i)}(window,document,"script","//www.google-analytics.com/analytics.js","__gaTracker"),__gaTracker("set","&uid","<?php echo get_current_user_id(); ?>"),__gaTracker("create","UA-17843153-11","auto"),__gaTracker("set","forceSSL",!0),__gaTracker("require","displayfeatures"),__gaTracker("require","linkid","linkid.js"),__gaTracker("send","pageview");



// http://blog.teamtreehouse.com/create-ajax-contact-form //
//$(function() {
//	$.post('some_script.php', { width: screen.width, height:screen.height }, function(json) {
//		if(json.outcome == 'success') {
//		} else {
//			alert('Unable to let PHP know what the screen resolution is!');
//		}
//	},'json');
//});