<?php 
/**
	Function Sticky
	@package f13 folio
	@since f13 folio 4.0
	
	F13 Media! ~ http://f13.tv
	Martin Knoll ~ me@f13.tv
	Twitter @martyish

	Will loop out posts up to posts_per_page with the sticky's for that page at the top..
	notes: Since page only shows featured of that page, maybe add in a bar underneath with the most popular features of all time.
*/


global $args, $header, $articles;


// get all posts
$all_args = array_merge($args, array (
	'orderby' => 'date',
	'fields' => 'ids',
	'paged' => $paged
));

$query = new WP_Query( $all_args );


// get all photos
$all_args = array_merge($args, array (
	'orderby' => 'date',
	'post_type' => 'attachment', /* attachment */
	'post_status' => 'any', /* inherit */
	'fields' => 'ids'
));
$photos = new WP_Query( $all_args );
foreach ($photos->posts as $id) $gallery[] = get_permalink($id);
echo _d($gallery);


// if no posts find some
if(!$query->posts) {
	if($args['tag']) {
		$all_args = array(
			's' => $args['tag'],
			'posts_per_page' => 12,
			'orderby' => 'date',
			'fields' => 'ids',
			'paged' => $paged
		);
		$query = new WP_Query( $all_args );
	}
}

echo _d($query);

$all_stickys = get_option( 'sticky_posts' );
$sticky = array_intersect($query->posts, $all_stickys);
$non_stick = array_diff($query->posts, $sticky);
$articles = array_merge($sticky, $non_stick);

// if there are no tagged photos use first post
$first_article = get_article($articles[0]);
if (!$header['feature']) $header['feature'] = wp_get_attachment_image_src($first_article->featured, '16x9_medium')[0]; 